Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface ClosureInvokingMethod

All Known Implementing Classes:
  ClosureMetaMethod, ClosureStaticMetaMethod

    public interface ClosureInvokingMethod

An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

Since:
  1.1
Author:
  Graeme Rocher
See Also:
  `ExpandoMetaClass`

Method Summary
`Closure` | `getClosure()` Returns the original closure that this method invokes
`String` | `getName()` The method name
`boolean` | `isStatic()` Is it a static method?

Method Detail

### getClosure

    Closure getClosure()

  Returns the original closure that this method invokes

  Returns:
    The closure

### isStatic

    boolean isStatic()

  Is it a static method?

  Returns:
    True if it is

### getName

    String getName()

  The method name

  Returns:
    The method name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD